# Requirements
1. pytorch >= 2.0.0
2. torchvision
3. numpy
4. tqdm
5. torchattacks
6. numba

# Baseline Models

``python train_baseline.py --gpu 0 --arch [resnet]
--dataset [cifar10, cifar100] --method [pgd, te, fgsm_of, normal, trades]
--save [the name you want to save your model]
--exp [experiment name] --if_bn [0,1]
--if_g [0,1] --if_aug [0,1] --if_same [0,1]``

# Obtain NTK

``python kernel_generation.py --arch [resnet]
--dataset [cifar10, cifar100] --exp [experiment name]``

# Statistical Analysis

``python statistics_kernel.py``


# Adversarial Training in Case Studies

``python train.py --gpu 0 --arch [resnet]
--dataset [cifar10, cifar100] --method [pgd, te, fgsm]
--save [the name you want to save your model]
--exp [experiment name] --pgd 140``




